let EVN_CONFIG = require('../env/env');
// const DISTRIBUTE_ENVIROMENT = 'PROD';
const DISTRIBUTE_ENVIROMENT = 'DEV';

let {
    URL_PREFIX,
} = EVN_CONFIG[DISTRIBUTE_ENVIROMENT];
//用户登录页面，接口检测用户token失效，需跳转重新登录
const USER_LOGIN_PAGE_PATH='/pages/user/login/login';
//接口成功
const SUCCESS_CODE = 200;
//微信登陆失效
const INVALID_USER_TOKEN_CODE = '001007';


/****************接口提示信息start ****************/
const MSG_FAIL_HTTP = '获取数据失败 fail';
const MSG_ERROR_HTTP = '获取数据失败 error';
const MSG_FALSE_HTTP = '获取数据失败 false';
const MSG_NONE_HTTP = '暂无数据';

const MSG_FALSE_TO = '提交失败，请重试';
const MSG_ERROR_TO = '提交异常，请重试';
const MSG_INVALID_USER_TOKEN='登陆信息失效，请重新登陆';
/****************接口提示信息end****************

/****************接口地址start****************/
//获取openId
const URL_GET_OPENID=`${URL_PREFIX}/wechat/codeLogin`;
// 获取手机号解密接口
const URL_POST_DECRYPTEDWXDATA = `${URL_PREFIX}/wechat/decryptedWXData`;
// 微信绑定手机号
const URL_POST_USERBAND = `${URL_PREFIX}/register/wechat/band`;
//获取用户信息
const URL_GET_GETINFO = `${URL_PREFIX}/getInfo`;
//获取待办
const URL_GET_TASKLIST = `${URL_PREFIX}/activiti/process/taskList`;
//获取已办
const URL_GET_TASKDONELIST = `${URL_PREFIX}/activiti/process/taskDoneList`;
//获取已发起、已制单
const URL_GET_TRANSFERLIST = `${URL_PREFIX}/yinnong/approvalItems/list`;
// 修改密码
const URL_POST_UPDATEPWD = `${URL_PREFIX}/system/user/profile/updatePwd`;
// 上传图片
const URL_POST_UPLOADFILE = `${URL_PREFIX}/system/user/profile/electronicSignatureWX`;
// 保存电子签名
const URL_POST_USEREDIT = `${URL_PREFIX}/system/user/edit`;
//当前账套付款账户列表
const URL_GET_ACCOUNTLIST = `${URL_PREFIX}/cashier/account/list`;
//查看事项审批模板列表
const URL_GET_APPROVALITEMSLIST = `${URL_PREFIX}/yinnong/approvalItems/list`;
//获取区、镇、村地区
const URL_GET_TREESELECTBYUSER = `${URL_PREFIX}/system/dept/treeselectByUser`;
//获取账套列表
const URL_GET_BOOKLISTBYDEPTID = `${URL_PREFIX}/finance/book/listByDeptId`;
//切换部门
const URL_GET_CHANGEDEPT = `${URL_PREFIX}/system/user/changeDept`;
//切换账套
const URL_GET_CHANGEBOOK = `${URL_PREFIX}/system/user/changeBook`;
//字典查询
const URL_GET_GETDICTTYPE = `${URL_PREFIX}/system/dict/data/type/`;

//项目工程列表
const URL_GET_GETPROJECTLIST = `${URL_PREFIX}/yinnong/project/list`;

//获取合同信息列表
const URL_GET_CONTRACTIONLIST = `${URL_PREFIX}/contraction/info/list`;

//查询收款账号列表
const URL_GET_SELECTLIST = `${URL_PREFIX}/yinnong/payee/selectlist`;

//查询收款账号列表2
const URL_GET_PAYEESELECTLIST = `${URL_PREFIX}/yinnong/payee/list`;

//当前账套付款账户列表
const URL_GET_SELECTACCOUNTLIST = `${URL_PREFIX}/cashier/account/accountList`;
//查询审批流模板列表
const URL_GET_TEMPLATELIST = `${URL_PREFIX}/service/template/list`;

//查询审批流模板列表
const URL_GET_TEMPLATEDETAIL = `${URL_PREFIX}/yinnong/approvalProcess/getApprovalProcessByItemId/`;

//查询审批流模板列表
const URL_GET_GETAPPROVALBYID = `${URL_PREFIX}/service/templateDetail/getApprovalByTemplateId//`;
//根据系统组织机构id查询所在乡镇
const URL_GET_TOWNINFOBYDEPTID = `${URL_PREFIX}/system/dept/getTownInfoByDeptId/`;
//根据条件查询用户信息
const URL_GET_USERLIST = `${URL_PREFIX}/system/user/queryUserByBookId`;
//新增模板
const URL_POST_MOBILEADD = `${URL_PREFIX}/service/template/mobileAdd`;
//删除模板
const URL_GET_MOBILEREMOVE = `${URL_PREFIX}/service/template/remove/`;
//通过审批事项id查询审批事项
const URL_GET_APPROVALITEMSBYID = `${URL_PREFIX}/yinnong/approvalItems/get/`;
//审批流id保存到事项审批
const URL_POST_APPROVALITEMSEDIT = `${URL_PREFIX}/yinnong/approvalItems/edit`;
//修改审批流数据
const URL_POST_TEMPLATEEDIT = `${URL_PREFIX}/service/templateDetail/editBatch`;
//审核事项申请
const URL_POST_APPROVALITEMSSUBMIT = `${URL_PREFIX}/yinnong/approvalItems/approvalItemsSubmit/`;
//附件上传配置列表
const URL_GET_SYSCONFIG = `${URL_PREFIX}/system/config/list`;

//汇票列表
const URL_GET_MONEYORDERLIST = `${URL_PREFIX}/yinnong/moneyorder/list`;

//通过所属银行查询开户行信息
const URL_GET_DEPOSITLIST = `${URL_PREFIX}/yinnong/deposit/list`;

//新增收款方账户
const URL_GET_PAYEEADD = `${URL_PREFIX}/yinnong/payee/add`;

//增加支出申请/模板
const URL_GET_SAVE = `${URL_PREFIX}/yinnong/approvalItems/save`;

//附件上传
const URL_GET_UPLOAD = `${URL_PREFIX}/common/attach`;

//获取当前用户的审批事项信息
const URL_GET_USERAPPRO = `${URL_PREFIX}/yinnong/approvalItems/getUserApprovalItems`;

//查看附件列表
const URL_GET_FINDLIST = `${URL_PREFIX}/system/attachment/find`;

//查看附件列表
const URL_GET_APPROVALITEMS = `${URL_PREFIX}/yinnong/approvalItems/getApprovalItem/`;

//通过审批事项id删除审批模板
const URL_GET_REMOVEAPPROVAL = `${URL_PREFIX}/yinnong/approvalItems/remove/`;

//查询审批事项流转进度
const URL_GET_GETPROCESS = `${URL_PREFIX}/yinnong/approvalItems/getProcessSchedule/`;

//审批流办理
const URL_GET_PROCESSCOMPLETE = `${URL_PREFIX}/activiti/process/mobileComplete`;

//复核
const URL_GET_TOREVIEWSUBMIT = `${URL_PREFIX}/yinnong/approvalItems/toReviewSubmit/`;

//复核
const URL_GET_REVIEWPROCESS = `${URL_PREFIX}/yinnong/approvalItems/getToReviewProcessSchedule/`;

//关联项目工程接口
const URL_GET_ADDPROJECTTO = `${URL_PREFIX}/yinnong/project/addProjectto`;

//根据申请转账id获取关联的项目工程信息
const URL_GET_GETPROJECTTO = `${URL_PREFIX}/yinnong/project/getProjectto`;

//增加转账申请关联合同信息
const URL_GET_GETRELATIONADD = `${URL_PREFIX}/contraction/info/relationAdd`;

//根据申请转账id获取关联合同信息
const URL_GET_GETSELECTINFOBYOUTID = `${URL_PREFIX}/contraction/info/selectInfoByOutId`;

//付款账号余额查询
const URL_GET_GETBALANCEENQUIRY = `${URL_PREFIX}/yinnong/transfer/balanceEnquiry/`;

//通过审批事项id设置默认模板
const URL_GET_GETSETDEFAULTVALUES = `${URL_PREFIX}/yinnong/approvalItems/setDefaultValues/`;

//根据附件id删除附件信息
const URL_GET_GETFILEREMOVE = `${URL_PREFIX}/system/attachment/remove/`;

//增加支付模板
const URL_GET_GETTEMPLATEADD = `${URL_PREFIX}/yinnong/paymentTemplate/add`;

//查询支付模板（变更）
const URL_GET_GETTEMPLATELIST = `${URL_PREFIX}/yinnong/paymentTemplate/list`;

//根据id删除支付模板（变更）
const URL_GET_GETTEMPLATEREMOVE = `${URL_PREFIX}/yinnong/paymentTemplate/remove/`;

//通过审批模板id设置默认模板（变更）
const URL_GET_GETTEMPLATERESETDEFAULT = `${URL_PREFIX}/yinnong/paymentTemplate/setDefaultValues/`;

//增加审批流模板信息（变更）
const URL_GET_GETAPPROVALPROCESSADD = `${URL_PREFIX}/yinnong/approvalProcess/add`;

//银行收支流水
const URL_GET_GETFLOWLIST = `${URL_PREFIX}/cashier/flow/list`;

//批量银行收支流水记账申请
const URL_GET_GETBOOKKEEP = `${URL_PREFIX}/cashier/flow/bookkeepingApplication`;

//汇票列表查询
const URL_GET_GETMONEYORDERLIST = `${URL_PREFIX}/yinnong/moneyorder/list`;

//汇票、现金支出申请
const URL_GET_GETCASHSAVE = `${URL_PREFIX}/yinnong/approvalItems/cashSave`;

//受票房信息修改
const URL_GET_GETCASHDETAILEDIT = `${URL_PREFIX}/yinnong/cashdetail/edit`;

//受票房信息增加
const URL_GET_GETCASHDETAILADD = `${URL_PREFIX}/yinnong/cashdetail/add`;

//汇票、现金支出申请
const URL_GET_GETCASHLISTCASGBYID = `${URL_PREFIX}/yinnong/cashdetail/listCashdetailByCashId/`;



/****************接口地址end****************/

export {
    USER_LOGIN_PAGE_PATH,
    SUCCESS_CODE,
    INVALID_USER_TOKEN_CODE,
    MSG_FAIL_HTTP,
    MSG_ERROR_HTTP,
    MSG_FALSE_HTTP,
    MSG_NONE_HTTP,
    MSG_FALSE_TO,
    MSG_ERROR_TO,
    MSG_INVALID_USER_TOKEN,
    URL_GET_OPENID,
    URL_POST_DECRYPTEDWXDATA,
    URL_POST_USERBAND,
    URL_GET_GETINFO,
    URL_GET_TASKLIST,
    URL_GET_TASKDONELIST,
    URL_GET_TRANSFERLIST,
    URL_POST_UPDATEPWD,
    URL_POST_UPLOADFILE,
    URL_POST_USEREDIT,
    URL_GET_ACCOUNTLIST,
    URL_GET_APPROVALITEMSLIST,
    URL_GET_TREESELECTBYUSER,
    URL_GET_BOOKLISTBYDEPTID,
    URL_GET_CHANGEBOOK,
    URL_GET_CHANGEDEPT,
    URL_GET_GETDICTTYPE,
    URL_GET_GETPROJECTLIST,
    URL_GET_CONTRACTIONLIST,
    URL_GET_SELECTLIST,
    URL_GET_SELECTACCOUNTLIST,
    URL_GET_TEMPLATELIST,
    URL_GET_TEMPLATEDETAIL,
    URL_GET_TOWNINFOBYDEPTID,
    URL_GET_USERLIST,
    URL_POST_MOBILEADD,
    URL_GET_MOBILEREMOVE,
    URL_GET_APPROVALITEMSBYID,
    URL_POST_APPROVALITEMSEDIT,
    URL_POST_TEMPLATEEDIT,
    URL_POST_APPROVALITEMSSUBMIT,
    URL_GET_SYSCONFIG,
    URL_GET_MONEYORDERLIST,
    URL_GET_PAYEESELECTLIST,
    URL_GET_DEPOSITLIST,
    URL_GET_PAYEEADD,
    URL_GET_SAVE,
    URL_GET_UPLOAD,
    URL_GET_USERAPPRO,
    URL_GET_FINDLIST,
    URL_GET_APPROVALITEMS,
    URL_GET_REMOVEAPPROVAL,
    URL_GET_GETPROCESS,
    URL_GET_PROCESSCOMPLETE,
    URL_GET_TOREVIEWSUBMIT,
    URL_GET_REVIEWPROCESS,
    URL_GET_ADDPROJECTTO,
    URL_GET_GETPROJECTTO,
    URL_GET_GETRELATIONADD,
    URL_GET_GETSELECTINFOBYOUTID,
    URL_GET_GETBALANCEENQUIRY,
    URL_GET_GETSETDEFAULTVALUES,
    URL_GET_GETFILEREMOVE,
    URL_GET_GETTEMPLATEADD,
    URL_GET_GETTEMPLATELIST,
    URL_GET_GETTEMPLATEREMOVE,
    URL_GET_GETTEMPLATERESETDEFAULT,
    URL_GET_GETAPPROVALPROCESSADD,
    URL_GET_GETFLOWLIST,
    URL_GET_GETBOOKKEEP,
    URL_GET_GETAPPROVALBYID,
    URL_GET_GETMONEYORDERLIST,
    URL_GET_GETCASHSAVE,
    URL_GET_GETCASHDETAILADD,
    URL_GET_GETCASHLISTCASGBYID,
    URL_GET_GETCASHDETAILEDIT
}